DIS51(1)

NAME
dis51 - disassembler for 8051 code in Intel Hex format

SYNOPSIS
dis51 [-l] [entry-point]… < program.ihx

DESCRIPTION
Disassembles Intel 8051 program given on the standard input stream in Intel Hex format.

If no entry-points are given, disassembly starts from entry-point 0. The union of all reachable code is disassembled, in order.

-l prefixes each line of the disassembly with the hex address and bytes it corresponds to.